/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.pojos;


import com.tabajara.base.tables.interfaces.ISensorhorarepeticao;

import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Sensorhorarepeticao implements VertxPojo, ISensorhorarepeticao {

    private static final long serialVersionUID = -271677627;

    private Integer senhorid;
    private Integer fksenid;
    private Integer fkhorid;

    public Sensorhorarepeticao() {}

    public Sensorhorarepeticao(Sensorhorarepeticao value) {
        this.senhorid = value.senhorid;
        this.fksenid = value.fksenid;
        this.fkhorid = value.fkhorid;
    }

    public Sensorhorarepeticao(
        Integer senhorid,
        Integer fksenid,
        Integer fkhorid
    ) {
        this.senhorid = senhorid;
        this.fksenid = fksenid;
        this.fkhorid = fkhorid;
    }

    @Override
    public Integer getSenhorid() {
        return this.senhorid;
    }

    @Override
    public Sensorhorarepeticao setSenhorid(Integer senhorid) {
        this.senhorid = senhorid;
        return this;
    }

    @Override
    public Integer getFksenid() {
        return this.fksenid;
    }

    @Override
    public Sensorhorarepeticao setFksenid(Integer fksenid) {
        this.fksenid = fksenid;
        return this;
    }

    @Override
    public Integer getFkhorid() {
        return this.fkhorid;
    }

    @Override
    public Sensorhorarepeticao setFkhorid(Integer fkhorid) {
        this.fkhorid = fkhorid;
        return this;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder("Sensorhorarepeticao (");

        sb.append(senhorid);
        sb.append(", ").append(fksenid);
        sb.append(", ").append(fkhorid);

        sb.append(")");
        return sb.toString();
    }

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public void from(ISensorhorarepeticao from) {
        setSenhorid(from.getSenhorid());
        setFksenid(from.getFksenid());
        setFkhorid(from.getFkhorid());
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public <E extends ISensorhorarepeticao> E into(E into) {
        into.from(this);
        return into;
    }

    public Sensorhorarepeticao(io.vertx.core.json.JsonObject json) {
        this();
        fromJson(json);
    }
}
